%define ver_major 2.6
%define reboot_command %_bindir/reboot
%define halt_command %_bindir/poweroff

Name: gnome-session
Version: %ver_major.2
Release: alt1

Summary: The gnome session programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: gnome-nautilus.png
Source2: Gnome.xpm

%define libgnomecanvas_ver 2.6.1.1
%define libgnomeui_ver 2.6.1
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0
%define sawfish2_ver 2.0
%define metacity_ver 2.8.0
%define esound_ver 0.2.34
%define gnome_keyring_ver 0.2.1

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver
PreReq: xinitrc

# Requires: sawfish2 >= %sawfish2_ver
# Requires: metacity >= %metacity_ver
Requires: gnome-wm

#this require provided by design-graphics package
Requires: gnome-session-splash

Requires: libgnomecanvas >= %libgnomecanvas_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-keyring >= %gnome_keyring_ver

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: esound-devel >= %esound_ver
Conflicts: gnome-core

# Automatically added by buildreq on Tue Apr 27 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs XFree86-utils esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libwrap-devel libxml2-devel perl-XML-Parser pkgconfig

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

GNOME session provides the session tools for the the gnome desktop.

%prep
%setup -q

# This hack force configure to use libwrap.
%__subst 's,libwrap.a,libwrap.so,' configure

%build
export ac_cv_path_RSH_COMMAND=/usr/bin/rsh
export ac_cv_path_ESD_SERVER=/usr/bin/esd
export ac_cv_path_GNOME_KEYRING_DAEMON=/usr/bin/gnome-keyring-daemon
%configure PATH=$PATH:/sbin \
	--disable-schemas-install \
	--with-reboot-command=%reboot_command \
	--with-halt-command="%halt_command"

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

%__cat <<__START_GNOME__ >startgnome2
#!/bin/sh

# turn on fonts antialiasing
export GDK_USE_XFT=1

# choose default browser
for browser in epiphany galeon; do
    if [ -x "/usr/bin/\$browser" ]; then
	export BROWSER="/usr/bin/\$browser"
	break
    fi
done

export HELP_BROWSER=yelp

# Metacity is a default window manager
for wm in metacity sawfish sawmill enlightenment icewm wmaker fvwm2 qvwm fvwm twm kwm; do
    if [ -x "/usr/bin/\$wm" ]; then
	export WINDOW_MANAGER="/usr/bin/\$wm"
	break
    fi
done

/usr/X11R6/bin/xsetroot -cursor_name watch
exec /usr/bin/gnome-session "\$@"
/usr/X11R6/bin/xsetroot -cursor_name X_cursor
__START_GNOME__

%__install -pD -m755 startgnome2 %buildroot%_bindir/startgnome2

%__mkdir_p %buildroot%_sysconfdir/X11/wmsession.d/
%__cat << __EOF__ > %buildroot%_sysconfdir/X11/wmsession.d/02Gnome2
NAME=Gnome2
ICON=%_iconsdir/Gnome2.xpm
DESC=Gnome 2 Environment
EXEC=%_bindir/startgnome2
SCRIPT:
exec %_bindir/startgnome2
__EOF__

%__install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/gnome-nautilus.png
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/Gnome2.xpm

%find_lang --with-gnome %name-2.0

# custom splash
%__rm -rf %buildroot%_datadir/pixmaps/splash/gnome-splash.png
%__ln_s %_datadir/artworks/gnome/splash/gnome-splash.png \
%buildroot%_datadir/pixmaps/splash/gnome-splash.png

%post
%gconf2_install %name
%update_wms

%if 0
%preun
%gconf2_uninstall %name
%endif

%postun
%clean_wms

%files -f %name-2.0.lang
%_bindir/*
%_datadir/control-center-2.0/*/*
%_datadir/gnome/*
%_datadir/pixmaps/*
%_iconsdir/Gnome2.xpm
%config %_sysconfdir/X11/*/*
%config %_sysconfdir/gconf/*/*
%_mandir/man?/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Mon Sep 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt3
- Another fix gnome-splash location.

* Fri Sep 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- fix gnome-splash location.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6.2-alt1
- 2.3.6.2

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.1-alt1
- 2.3.3.1

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- Epiphany is a default BROWSER.
- Requires gnome-wm.

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt2
- Changed reboot-command to %_bindir/reboot and halt-command
  to %_bindir/poweroff (slava). Requires SysVinit-usermode to use.
  Close ## 2106, 1506

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt2
- export BROWSER=galeon

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt2
- Built with new libwrap.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Fri Oct 04 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.3
- remove pixmaps into design package (this package must provides
  "gnome-session-splash")

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1.2
- Fonts antialiasing turned on by default.
- Metacity is a default window manager.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.1
- update buildreq to remove rsh

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7
- Metacity added to requires list.

* Sat Jun 22 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- New release
- gnome-session-2.0.1-splash.patch
- Fix from Yuri Sedunov <aris@altlinux.ru>
	+ Added Gnome2.xpm
	+ Replace command by macros
	+ cleanup spec
	+ clean_wms run in postun
	
* Thu May 16 2002 Igor Androsov <blace@mail.ru> 1.5.19-blk1
- New version from CVS

* Mon May 13 2002 Igor Androsov <blace@mail.ru> 1.5.18-blk1
- Changes for AltLinux
- cleanup spec
- Added wmsession and script

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Final cleanups
- make .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-session
